QCA::AuthTag Class Reference
QCA user API

`#include <QtCrypto>`

Collaboration diagram for QCA::AuthTag:
[legend]

## Public Member Functions

| AuthTag ()
| AuthTag (const QByteArray &a)
| AuthTag (const SecureArray &a)
| AuthTag (int size)
Public Member Functions inherited from QCA::SecureArray
SecureArray & | append (const SecureArray &a)
char & | at (int index)
const char & | at (int index) const
void | clear ()
const char * | constData () const
char * | data ()
const char * | data () const
void | fill (char fillChar, int fillToPosition=-1)
bool | isEmpty () const
bool | operator!= (const MemoryRegion &other) const
SecureArray & | operator+= (const SecureArray &a)
SecureArray & | operator= (const QByteArray &a)
SecureArray & | operator= (const SecureArray &from)
bool | operator== (const MemoryRegion &other) const
char & | operator[] (int index)
const char & | operator[] (int index) const
bool | resize (int size)
| SecureArray ()
| SecureArray (const char *str)
| SecureArray (const MemoryRegion &a)
| SecureArray (const QByteArray &a)
| SecureArray (const SecureArray &from)
| SecureArray (int size, char ch=0)
int | size () const
QByteArray | toByteArray () const
Public Member Functions inherited from QCA::MemoryRegion
const char & | at (int index) const
const char * | constData () const
const char * | data () const
bool | isEmpty () const
bool | isNull () const
bool | isSecure () const
| MemoryRegion (const char *str)
| MemoryRegion (const MemoryRegion &from)
| MemoryRegion (const QByteArray &from)
MemoryRegion & | operator= (const MemoryRegion &from)
MemoryRegion & | operator= (const QByteArray &from)
int | size () const
QByteArray | toByteArray () const

## Additional Inherited Members

Protected Member Functions inherited from QCA::SecureArray
void | set (const QByteArray &from)
void | set (const SecureArray &from)
Protected Member Functions inherited from QCA::MemoryRegion
char & | at (int index)
char * | data ()
| MemoryRegion (bool secure)
| MemoryRegion (const QByteArray &from, bool secure)
| MemoryRegion (int size, bool secure)
bool | resize (int size)
void | set (const QByteArray &from, bool secure)
void | setSecure (bool secure)

## Detailed Description

Container for authentication tag.

## Constructor & Destructor Documentation

## AuthTag() [1/4]

QCA::AuthTag::AuthTag | ( |  | ) |

Construct an empty authentication tag.

## AuthTag() [2/4]

QCA::AuthTag::AuthTag | ( | int | size | ) |

Construct an empty authentication tag of the specified size.

Parameters

  size | the length of the authentication tag, in bytes

References QCA::SecureArray::size().

## AuthTag() [3/4]

QCA::AuthTag::AuthTag | ( | const SecureArray & | a | ) |

Construct an authentication tag from a provided byte array.

Parameters

  a | the byte array to copy

References QCA::SecureArray::SecureArray().

## AuthTag() [4/4]

QCA::AuthTag::AuthTag | ( | const QByteArray & | a | ) |

Construct an authentication tag from a provided byte array.

Parameters

  a | the byte array to copy

The documentation for this class was generated from the following file:

- qca_core.h